Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network98.3.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
98.3.80.0
Broadcast address
98.3.95.255
First usable
98.3.80.1
Last usable
98.3.95.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 62035000 · Integer 1644384256 to 1644388351
Reverse DNS zones
80.3.98.in-addr.arpa
81.3.98.in-addr.arpa
82.3.98.in-addr.arpa
83.3.98.in-addr.arpa
84.3.98.in-addr.arpa
85.3.98.in-addr.arpa
86.3.98.in-addr.arpa
87.3.98.in-addr.arpa
88.3.98.in-addr.arpa
89.3.98.in-addr.arpa
90.3.98.in-addr.arpa
91.3.98.in-addr.arpa
92.3.98.in-addr.arpa
93.3.98.in-addr.arpa
94.3.98.in-addr.arpa
95.3.98.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100010.00000011.01010000.0000000098.3.80.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01100010.00000011.01010000.0000000098.3.80.0
Broadcast01100010.00000011.01011111.1111111198.3.95.255
Split into smaller subnets/27

98.3.80.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
198.3.80.0/2798.3.80.1 to 98.3.80.3098.3.80.3130
298.3.80.32/2798.3.80.33 to 98.3.80.6298.3.80.6330
398.3.80.64/2798.3.80.65 to 98.3.80.9498.3.80.9530
498.3.80.96/2798.3.80.97 to 98.3.80.12698.3.80.12730
598.3.80.128/2798.3.80.129 to 98.3.80.15898.3.80.15930
698.3.80.160/2798.3.80.161 to 98.3.80.19098.3.80.19130
798.3.80.192/2798.3.80.193 to 98.3.80.22298.3.80.22330
898.3.80.224/2798.3.80.225 to 98.3.80.25498.3.80.25530
998.3.81.0/2798.3.81.1 to 98.3.81.3098.3.81.3130
1098.3.81.32/2798.3.81.33 to 98.3.81.6298.3.81.6330
1198.3.81.64/2798.3.81.65 to 98.3.81.9498.3.81.9530
1298.3.81.96/2798.3.81.97 to 98.3.81.12698.3.81.12730
1398.3.81.128/2798.3.81.129 to 98.3.81.15898.3.81.15930
1498.3.81.160/2798.3.81.161 to 98.3.81.19098.3.81.19130
1598.3.81.192/2798.3.81.193 to 98.3.81.22298.3.81.22330
1698.3.81.224/2798.3.81.225 to 98.3.81.25498.3.81.25530
1798.3.82.0/2798.3.82.1 to 98.3.82.3098.3.82.3130
1898.3.82.32/2798.3.82.33 to 98.3.82.6298.3.82.6330
1998.3.82.64/2798.3.82.65 to 98.3.82.9498.3.82.9530
2098.3.82.96/2798.3.82.97 to 98.3.82.12698.3.82.12730
2198.3.82.128/2798.3.82.129 to 98.3.82.15898.3.82.15930
2298.3.82.160/2798.3.82.161 to 98.3.82.19098.3.82.19130
2398.3.82.192/2798.3.82.193 to 98.3.82.22298.3.82.22330
2498.3.82.224/2798.3.82.225 to 98.3.82.25498.3.82.25530
2598.3.83.0/2798.3.83.1 to 98.3.83.3098.3.83.3130
2698.3.83.32/2798.3.83.33 to 98.3.83.6298.3.83.6330
2798.3.83.64/2798.3.83.65 to 98.3.83.9498.3.83.9530
2898.3.83.96/2798.3.83.97 to 98.3.83.12698.3.83.12730
2998.3.83.128/2798.3.83.129 to 98.3.83.15898.3.83.15930
3098.3.83.160/2798.3.83.161 to 98.3.83.19098.3.83.19130
3198.3.83.192/2798.3.83.193 to 98.3.83.22298.3.83.22330
3298.3.83.224/2798.3.83.225 to 98.3.83.25498.3.83.25530
3398.3.84.0/2798.3.84.1 to 98.3.84.3098.3.84.3130
3498.3.84.32/2798.3.84.33 to 98.3.84.6298.3.84.6330
3598.3.84.64/2798.3.84.65 to 98.3.84.9498.3.84.9530
3698.3.84.96/2798.3.84.97 to 98.3.84.12698.3.84.12730
3798.3.84.128/2798.3.84.129 to 98.3.84.15898.3.84.15930
3898.3.84.160/2798.3.84.161 to 98.3.84.19098.3.84.19130
3998.3.84.192/2798.3.84.193 to 98.3.84.22298.3.84.22330
4098.3.84.224/2798.3.84.225 to 98.3.84.25498.3.84.25530
4198.3.85.0/2798.3.85.1 to 98.3.85.3098.3.85.3130
4298.3.85.32/2798.3.85.33 to 98.3.85.6298.3.85.6330
4398.3.85.64/2798.3.85.65 to 98.3.85.9498.3.85.9530
4498.3.85.96/2798.3.85.97 to 98.3.85.12698.3.85.12730
4598.3.85.128/2798.3.85.129 to 98.3.85.15898.3.85.15930
4698.3.85.160/2798.3.85.161 to 98.3.85.19098.3.85.19130
4798.3.85.192/2798.3.85.193 to 98.3.85.22298.3.85.22330
4898.3.85.224/2798.3.85.225 to 98.3.85.25498.3.85.25530
4998.3.86.0/2798.3.86.1 to 98.3.86.3098.3.86.3130
5098.3.86.32/2798.3.86.33 to 98.3.86.6298.3.86.6330
5198.3.86.64/2798.3.86.65 to 98.3.86.9498.3.86.9530
5298.3.86.96/2798.3.86.97 to 98.3.86.12698.3.86.12730
5398.3.86.128/2798.3.86.129 to 98.3.86.15898.3.86.15930
5498.3.86.160/2798.3.86.161 to 98.3.86.19098.3.86.19130
5598.3.86.192/2798.3.86.193 to 98.3.86.22298.3.86.22330
5698.3.86.224/2798.3.86.225 to 98.3.86.25498.3.86.25530
5798.3.87.0/2798.3.87.1 to 98.3.87.3098.3.87.3130
5898.3.87.32/2798.3.87.33 to 98.3.87.6298.3.87.6330
5998.3.87.64/2798.3.87.65 to 98.3.87.9498.3.87.9530
6098.3.87.96/2798.3.87.97 to 98.3.87.12698.3.87.12730
6198.3.87.128/2798.3.87.129 to 98.3.87.15898.3.87.15930
6298.3.87.160/2798.3.87.161 to 98.3.87.19098.3.87.19130
6398.3.87.192/2798.3.87.193 to 98.3.87.22298.3.87.22330
6498.3.87.224/2798.3.87.225 to 98.3.87.25498.3.87.25530
6598.3.88.0/2798.3.88.1 to 98.3.88.3098.3.88.3130
6698.3.88.32/2798.3.88.33 to 98.3.88.6298.3.88.6330
6798.3.88.64/2798.3.88.65 to 98.3.88.9498.3.88.9530
6898.3.88.96/2798.3.88.97 to 98.3.88.12698.3.88.12730
6998.3.88.128/2798.3.88.129 to 98.3.88.15898.3.88.15930
7098.3.88.160/2798.3.88.161 to 98.3.88.19098.3.88.19130
7198.3.88.192/2798.3.88.193 to 98.3.88.22298.3.88.22330
7298.3.88.224/2798.3.88.225 to 98.3.88.25498.3.88.25530
7398.3.89.0/2798.3.89.1 to 98.3.89.3098.3.89.3130
7498.3.89.32/2798.3.89.33 to 98.3.89.6298.3.89.6330
7598.3.89.64/2798.3.89.65 to 98.3.89.9498.3.89.9530
7698.3.89.96/2798.3.89.97 to 98.3.89.12698.3.89.12730
7798.3.89.128/2798.3.89.129 to 98.3.89.15898.3.89.15930
7898.3.89.160/2798.3.89.161 to 98.3.89.19098.3.89.19130
7998.3.89.192/2798.3.89.193 to 98.3.89.22298.3.89.22330
8098.3.89.224/2798.3.89.225 to 98.3.89.25498.3.89.25530
8198.3.90.0/2798.3.90.1 to 98.3.90.3098.3.90.3130
8298.3.90.32/2798.3.90.33 to 98.3.90.6298.3.90.6330
8398.3.90.64/2798.3.90.65 to 98.3.90.9498.3.90.9530
8498.3.90.96/2798.3.90.97 to 98.3.90.12698.3.90.12730
8598.3.90.128/2798.3.90.129 to 98.3.90.15898.3.90.15930
8698.3.90.160/2798.3.90.161 to 98.3.90.19098.3.90.19130
8798.3.90.192/2798.3.90.193 to 98.3.90.22298.3.90.22330
8898.3.90.224/2798.3.90.225 to 98.3.90.25498.3.90.25530
8998.3.91.0/2798.3.91.1 to 98.3.91.3098.3.91.3130
9098.3.91.32/2798.3.91.33 to 98.3.91.6298.3.91.6330
9198.3.91.64/2798.3.91.65 to 98.3.91.9498.3.91.9530
9298.3.91.96/2798.3.91.97 to 98.3.91.12698.3.91.12730
9398.3.91.128/2798.3.91.129 to 98.3.91.15898.3.91.15930
9498.3.91.160/2798.3.91.161 to 98.3.91.19098.3.91.19130
9598.3.91.192/2798.3.91.193 to 98.3.91.22298.3.91.22330
9698.3.91.224/2798.3.91.225 to 98.3.91.25498.3.91.25530
9798.3.92.0/2798.3.92.1 to 98.3.92.3098.3.92.3130
9898.3.92.32/2798.3.92.33 to 98.3.92.6298.3.92.6330
9998.3.92.64/2798.3.92.65 to 98.3.92.9498.3.92.9530
10098.3.92.96/2798.3.92.97 to 98.3.92.12698.3.92.12730
10198.3.92.128/2798.3.92.129 to 98.3.92.15898.3.92.15930
10298.3.92.160/2798.3.92.161 to 98.3.92.19098.3.92.19130
10398.3.92.192/2798.3.92.193 to 98.3.92.22298.3.92.22330
10498.3.92.224/2798.3.92.225 to 98.3.92.25498.3.92.25530
10598.3.93.0/2798.3.93.1 to 98.3.93.3098.3.93.3130
10698.3.93.32/2798.3.93.33 to 98.3.93.6298.3.93.6330
10798.3.93.64/2798.3.93.65 to 98.3.93.9498.3.93.9530
10898.3.93.96/2798.3.93.97 to 98.3.93.12698.3.93.12730
10998.3.93.128/2798.3.93.129 to 98.3.93.15898.3.93.15930
11098.3.93.160/2798.3.93.161 to 98.3.93.19098.3.93.19130
11198.3.93.192/2798.3.93.193 to 98.3.93.22298.3.93.22330
11298.3.93.224/2798.3.93.225 to 98.3.93.25498.3.93.25530
11398.3.94.0/2798.3.94.1 to 98.3.94.3098.3.94.3130
11498.3.94.32/2798.3.94.33 to 98.3.94.6298.3.94.6330
11598.3.94.64/2798.3.94.65 to 98.3.94.9498.3.94.9530
11698.3.94.96/2798.3.94.97 to 98.3.94.12698.3.94.12730
11798.3.94.128/2798.3.94.129 to 98.3.94.15898.3.94.15930
11898.3.94.160/2798.3.94.161 to 98.3.94.19098.3.94.19130
11998.3.94.192/2798.3.94.193 to 98.3.94.22298.3.94.22330
12098.3.94.224/2798.3.94.225 to 98.3.94.25498.3.94.25530
12198.3.95.0/2798.3.95.1 to 98.3.95.3098.3.95.3130
12298.3.95.32/2798.3.95.33 to 98.3.95.6298.3.95.6330
12398.3.95.64/2798.3.95.65 to 98.3.95.9498.3.95.9530
12498.3.95.96/2798.3.95.97 to 98.3.95.12698.3.95.12730
12598.3.95.128/2798.3.95.129 to 98.3.95.15898.3.95.15930
12698.3.95.160/2798.3.95.161 to 98.3.95.19098.3.95.19130
12798.3.95.192/2798.3.95.193 to 98.3.95.22298.3.95.22330
12898.3.95.224/2798.3.95.225 to 98.3.95.25498.3.95.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses